Browse Source

Sync with portage [Sun Aug 23 21:40:38 MSK 2020].

develop
root 2 years ago
parent
commit
36a937c6d2
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. 0
      acct-group/named/Manifest
  4. 12
      acct-group/named/metadata.xml
  5. 8
      acct-group/named/named-0.ebuild
  6. 0
      acct-group/sanlock/Manifest
  7. 8
      acct-group/sanlock/metadata.xml
  8. 9
      acct-group/sanlock/sanlock-0.ebuild
  9. BIN
      acct-user/Manifest.gz
  10. 0
      acct-user/named/Manifest
  11. 12
      acct-user/named/metadata.xml
  12. 15
      acct-user/named/named-0.ebuild
  13. 0
      acct-user/sanlock/Manifest
  14. 8
      acct-user/sanlock/metadata.xml
  15. 13
      acct-user/sanlock/sanlock-0.ebuild
  16. BIN
      app-accessibility/Manifest.gz
  17. 2
      app-accessibility/speech-dispatcher/speech-dispatcher-0.9.1.ebuild
  18. 1
      app-accessibility/speech-tools/Manifest
  19. 22
      app-accessibility/speech-tools/files/speech-tools-2.5.0-fno-common.patch
  20. 136
      app-accessibility/speech-tools/speech-tools-2.5.0.ebuild
  21. BIN
      app-admin/Manifest.gz
  22. 2
      app-admin/ansible/Manifest
  23. 68
      app-admin/ansible/ansible-2.9.10.ebuild
  24. 68
      app-admin/ansible/ansible-2.9.11.ebuild
  25. 2
      app-admin/ansible/ansible-2.9.12.ebuild
  26. 2
      app-admin/sudo/sudo-1.9.2.ebuild
  27. 1
      app-admin/supervisor/Manifest
  28. 54
      app-admin/supervisor/supervisor-4.2.1.ebuild
  29. BIN
      app-arch/Manifest.gz
  30. 2
      app-arch/gzip/gzip-1.10.ebuild
  31. 2
      app-arch/unrar/unrar-5.9.4.ebuild
  32. 2
      app-arch/xz-utils/xz-utils-5.2.5.ebuild
  33. BIN
      app-benchmarks/Manifest.gz
  34. 2
      app-benchmarks/stress-ng/Manifest
  35. 0
      app-benchmarks/stress-ng/stress-ng-0.11.18.ebuild
  36. BIN
      app-crypt/Manifest.gz
  37. 34
      app-crypt/tpm2-tools/tpm2-tools-4.2.1-r1.ebuild
  38. 34
      app-crypt/tpm2-tools/tpm2-tools-4.2.1.ebuild
  39. 2
      app-crypt/trousers/trousers-0.3.14-r3.ebuild
  40. BIN
      app-editors/Manifest.gz
  41. 12
      app-editors/bluefish/bluefish-2.2.10.ebuild
  42. 1
      app-editors/bluefish/metadata.xml
  43. 10
      app-editors/emacs/emacs-27.1.9999-r1.ebuild
  44. 10
      app-editors/emacs/emacs-27.1.ebuild
  45. 10
      app-editors/emacs/emacs-28.0.9999.ebuild
  46. 1
      app-editors/gnome-latex/Manifest
  47. 49
      app-editors/gnome-latex/gnome-latex-3.36.0.ebuild
  48. 4
      app-editors/scite/Manifest
  49. 119
      app-editors/scite/scite-4.1.3.ebuild
  50. 119
      app-editors/scite/scite-4.2.0.ebuild
  51. 8
      app-editors/scite/scite-4.2.1.ebuild
  52. 113
      app-editors/scite/scite-4.3.2.ebuild
  53. 8
      app-editors/scite/scite-4.3.3.ebuild
  54. 115
      app-editors/scite/scite-4.4.4.ebuild
  55. 2
      app-editors/xemacs/xemacs-21.4.24-r2.ebuild
  56. BIN
      app-emacs/Manifest.gz
  57. 4
      app-emacs/ddskk/ddskk-16.2.ebuild
  58. 4
      app-emacs/ddskk/ddskk-16.3.ebuild
  59. 4
      app-emacs/ddskk/ddskk-17.1.ebuild
  60. BIN
      app-emulation/Manifest.gz
  61. 23
      app-emulation/crossover-bin/Manifest
  62. 132
      app-emulation/crossover-bin/crossover-bin-12.5.0-r2.ebuild
  63. 132
      app-emulation/crossover-bin/crossover-bin-12.5.1-r2.ebuild
  64. 132
      app-emulation/crossover-bin/crossover-bin-13.0.0-r2.ebuild
  65. 132
      app-emulation/crossover-bin/crossover-bin-13.0.1-r2.ebuild
  66. 132
      app-emulation/crossover-bin/crossover-bin-13.1.0-r2.ebuild
  67. 132
      app-emulation/crossover-bin/crossover-bin-13.1.2-r2.ebuild
  68. 132
      app-emulation/crossover-bin/crossover-bin-13.1.3-r2.ebuild
  69. 132
      app-emulation/crossover-bin/crossover-bin-13.2.0-r2.ebuild
  70. 136
      app-emulation/crossover-bin/crossover-bin-14.0.3-r1.ebuild
  71. 136
      app-emulation/crossover-bin/crossover-bin-14.1.4-r1.ebuild
  72. 145
      app-emulation/crossover-bin/crossover-bin-15.0.0.ebuild
  73. 148
      app-emulation/crossover-bin/crossover-bin-15.0.1.ebuild
  74. 148
      app-emulation/crossover-bin/crossover-bin-15.1.0.ebuild
  75. 151
      app-emulation/crossover-bin/crossover-bin-15.2.0.ebuild
  76. 150
      app-emulation/crossover-bin/crossover-bin-15.3.0.ebuild
  77. 150
      app-emulation/crossover-bin/crossover-bin-15.3.1.ebuild
  78. 150
      app-emulation/crossover-bin/crossover-bin-16.0.0.ebuild
  79. 150
      app-emulation/crossover-bin/crossover-bin-16.2.5.ebuild
  80. 150
      app-emulation/crossover-bin/crossover-bin-17.5.0-r1.ebuild
  81. 149
      app-emulation/crossover-bin/crossover-bin-17.5.0.ebuild
  82. 160
      app-emulation/crossover-bin/crossover-bin-17.5.1.ebuild
  83. 174
      app-emulation/crossover-bin/crossover-bin-18.0.0.ebuild
  84. 174
      app-emulation/crossover-bin/crossover-bin-18.1.0.ebuild
  85. 179
      app-emulation/crossover-bin/crossover-bin-18.5.0-r1.ebuild
  86. 2
      app-emulation/diskimage-builder/Manifest
  87. 0
      app-emulation/diskimage-builder/diskimage-builder-3.2.1.ebuild
  88. 2
      app-emulation/docker-compose/Manifest
  89. 68
      app-emulation/docker-compose/docker-compose-1.25.4-r1.ebuild
  90. 68
      app-emulation/docker-compose/docker-compose-1.25.4-r2.ebuild
  91. 73
      app-emulation/docker-compose/docker-compose-1.27.0_rc2.ebuild
  92. 1
      app-emulation/docker/Manifest
  93. 314
      app-emulation/docker/docker-19.03.8.ebuild
  94. 2
      app-emulation/gallium-nine-standalone/Manifest
  95. 28
      app-emulation/gallium-nine-standalone/files/0.5-flags.patch
  96. 34
      app-emulation/gallium-nine-standalone/files/0.7-cross-files.patch
  97. 109
      app-emulation/gallium-nine-standalone/gallium-nine-standalone-0.5.ebuild
  98. 110
      app-emulation/gallium-nine-standalone/gallium-nine-standalone-0.7.ebuild
  99. 5
      app-emulation/gallium-nine-standalone/gallium-nine-standalone-9999.ebuild
  100. 2
      app-emulation/pcem/metadata.xml

BIN
Manifest.files.gz

BIN
acct-group/Manifest.gz

0
acct-group/named/Manifest

12
acct-group/named/metadata.xml

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>idl0r@gentoo.org</email>
<name>Christian Ruppert</name>
</maintainer>
<maintainer type="person">
<email>zlogene@gentoo.org</email>
<name>Mikle Kolyada</name>
</maintainer>
</pkgmetadata>

8
acct-group/named/named-0.ebuild

@ -0,0 +1,8 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
ACCT_GROUP_ID=40

0
acct-group/sanlock/Manifest

8
acct-group/sanlock/metadata.xml

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mschiff@gentoo.org</email>
<name>Marc Schiffbauer</name>
</maintainer>
</pkgmetadata>

9
acct-group/sanlock/sanlock-0.ebuild

@ -0,0 +1,9 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
DESCRIPTION="shared storage lock manager"
ACCT_GROUP_ID=340

BIN
acct-user/Manifest.gz

0
acct-user/named/Manifest

12
acct-user/named/metadata.xml

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>idl0r@gentoo.org</email>
<name>Christian Ruppert</name>
</maintainer>
<maintainer type="person">
<email>zlogene@gentoo.org</email>
<name>Mikle Kolyada</name>
</maintainer>
</pkgmetadata>

15
acct-user/named/named-0.ebuild

@ -0,0 +1,15 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
DESCRIPTION="User for net-dns/bind"
ACCT_USER_ID=40
ACCT_USER_HOME=/etc/bind
ACCT_USER_HOME_OWNER=named:named
ACCT_USER_GROUPS=( named )
acct-user_add_deps

0
acct-user/sanlock/Manifest

8
acct-user/sanlock/metadata.xml

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mschiff@gentoo.org</email>
<name>Marc Schiffbauer</name>
</maintainer>
</pkgmetadata>

13
acct-user/sanlock/sanlock-0.ebuild

@ -0,0 +1,13 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
DESCRIPTION="shared storage lock manager"
ACCT_USER_ID=340
ACCT_USER_HOME=/dev/null
ACCT_USER_GROUPS=( ${PN} disk )
acct-user_add_deps

BIN
app-accessibility/Manifest.gz

2
app-accessibility/speech-dispatcher/speech-dispatcher-0.9.1.ebuild

@ -12,7 +12,7 @@ SRC_URI="https://github.com/brailcom/speechd/releases/download/${PV}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="alsa ao +espeak flite nas pulseaudio python"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"

1
app-accessibility/speech-tools/Manifest

@ -1,2 +1,3 @@
DIST speech_tools-2.1-r3-patches.tar.gz 6876 BLAKE2B 84ddc30de90459f913cc32d4338097feb35dc08c48cbda7fc47a78ee0384668828d7166a5ebb1264272a6c326afd4ff2efdf1d793bb8f33937c09d2c7cd9a2b5 SHA512 db4d656a77e3fcfc43447c11b160cf9b45f0c4ec10f2697e4357f0ec86ea56e2841f1b887493a781406975003f5d8065ffbb75eeebb79fcd9873055b52c248e3
DIST speech_tools-2.1-release.tar.gz 1681999 BLAKE2B 572e7877e195c098dd2df03cda86fe58b7a55379cd01adcc22faf5e12b8c004e8c006b852cfe88c5c20df4a0e54e357b445050cdb63088edd55714a98e3eda90 SHA512 6ef9a7dd01ede152c4dafd0b2037312d62a79d875813d74ea048899a52eee505b93ffbabef9b6c0a1d15aeadb5508fd18a2f392e85276847fe071173aec5db96
DIST speech_tools-2.5.0-release.tar.gz 1328624 BLAKE2B 445dd5a5e39c02352a850fd92de5b3852ae382a4bd013dccb3fdd46b0b22ce0bd10d089f9e860ae3d3e73a489b20b7c8b78335e57a49e40ae01b0f4997d55315 SHA512 013540a5252efb57633f442143a51bc87aac719dfb46c8f47e750322d19dac9b504f55125462a2ee74a6b0bd2661a63a1fc73a8c3c6d2886e38b136a80447fd7

22
app-accessibility/speech-tools/files/speech-tools-2.5.0-fno-common.patch

@ -0,0 +1,22 @@
From b3a1f6e778c0dad12ce65f9f1fb25354e2667ef6 Mon Sep 17 00:00:00 2001
From: Peter Levine <plevine457@gmail.com>
Date: Fri, 29 May 2020 21:18:55 -0400
Subject: [PATCH] Remove erroneous declaration of editline_history_file
An extern qualified forward declaration of editline_history_file is supplied in editline.h and its definition/initialization is supplied in siodeditline.c.
---
siod/editline.c | 1 -
1 file changed, 1 deletion(-)
diff --git a/siod/editline.c b/siod/editline.c
index f6eb5c6..138f476 100644
--- a/siod/editline.c
+++ b/siod/editline.c
@@ -73,7 +73,6 @@
/* modified by awb to allow specifcation of history size at run time */
/* (though only once) */
int editline_histsize=256;
-char *editline_history_file;
/* If this is defined it'll be called for completion first, before the */
/* internal file name completion will be */
EL_USER_COMPLETION_FUNCTION_TYPE*el_user_completion_function = NULL;

136
app-accessibility/speech-tools/speech-tools-2.5.0.ebuild

@ -0,0 +1,136 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
inherit multilib toolchain-funcs
MY_P=${P/speech-/speech_}
PATCHSET="r3"
DESCRIPTION="Speech tools for Festival Text to Speech engine"
HOMEPAGE="http://www.cstr.ed.ac.uk/projects/speech_tools/"
SRC_URI="http://www.festvox.org/packed/festival/$(ver_cut 1-2)/${MY_P}-release.tar.gz
https://dev.gentoo.org/~neurogeek/${PN}/speech_tools-2.1-${PATCHSET}-patches.tar.gz"
LICENSE="FESTIVAL HPND BSD rc regexp-UofT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="nas openmp X"
RDEPEND="
media-libs/alsa-lib
sys-libs/ncurses:0=
nas? ( media-libs/nas )
X? ( x11-libs/libX11
x11-libs/libXt
)
"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/speech_tools"
DOCS=( README.md lib/cstrutt.dtd lib/example_data )
PATCHES=(
"${WORKDIR}/patch/02_all_gcc42.patch"
"${WORKDIR}/patch/03_all_GentooLinux.patch"
"${WORKDIR}/patch/05_all_sharedlib.patch"
"${WORKDIR}/patch/06_all_gcc43-include.patch"
"${WORKDIR}/patch/09_all_remove-shared-refs.patch"
"${WORKDIR}/patch/10_all_base_class.patch"
"${WORKDIR}/patch/81_all_etcpath.patch"
"${WORKDIR}/patch/91_all_gentoo-config.patch"
"${WORKDIR}/patch/92_all_ldflags_fix.patch"
"${WORKDIR}/patch/94_all_ncurses_tinfo.patch"
# Fix underlinking, bug #493204
"${FILESDIR}/${PN}-2.1-underlinking.patch"
"${FILESDIR}/${PN}-2.5.0-fno-common.patch"
)
pkg_pretend() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}
pkg_setup() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}
src_prepare() {
default
sed -i -e '/^CXXFLAGS =/s|CC_OTHER_FLAGS|CXX_OTHER_FLAGS|' \
config/compilers/gcc_defaults.mak || die
sed -i -e 's,{{HORRIBLELIBARCHKLUDGE}},"/usr/$(get_libdir)",' \
main/siod_main.cc || die
#WRT bug #309983
sed -i -e "s:\(GCC_SYSTEM_OPTIONS =\).*:\1:" \
"${S}"/config/systems/sparc_SunOS5.mak || die
sed -i -e "s|\$(OMP_OPTS)|$(use openmp && echo -fopenmp)|g" \
-e "s|\$(OMP_DEFS)|$(use openmp && echo -DOMP_WAGON=1)|g" \
-e "/MAKE_SHARED_LIB =/s|-shared|$(use openmp && echo -fopenmp) -shared|" \
config/compilers/gcc_defaults.mak
}
src_configure() {
local CONFIG=config/config.in
sed -i -e 's/@COMPILERTYPE@/gcc42/' ${CONFIG} || die
if use nas; then
sed -i -e "s/#.*\(INCLUDE_MODULES += NAS_AUDIO\)/\1/" \
${CONFIG} || die
fi
if ! use X; then
sed -i -e "s/-lX11 -lXt//" config/modules/esd_audio.mak || die
fi
econf
}
src_compile() {
emake -j1 CC="$(tc-getCC)" CXX="$(tc-getCXX)" CXX_OTHER_FLAGS="${CXXFLAGS}" CC_OTHER_FLAGS="${CFLAGS}" \
LDFLAGS="${LDFLAGS}"
}
src_install() {
default
dolib.so lib/libest*.so*
insinto /usr/share/speech-tools
doins -r config base_class
insinto /usr/share/speech-tools/lib
doins -r lib/siod
mv include speech-tools || die
doheader -r speech-tools
dosym ../../include/speech-tools /usr/share/speech-tools/include
for file in bin/*; do
[ "${file}" = "bin/Makefile" ] && continue
dobin ${file}
dstfile="${ED}/usr/${file}"
sed -i -e "s:${S}/testsuite/data:/usr/share/speech-tools/testsuite:g" \
${dstfile} || die
sed -i -e "s:${S}/bin:/usr/$(get_libdir)/speech-tools:g" \
${dstfile} || die
sed -i -e "s:${S}/main:/usr/$(get_libdir)/speech-tools:g" \
${dstfile} || die
# This just changes LD_LIBRARY_PATH
sed -i -e "s:${S}/lib:/usr/$(get_libdir):g" ${dstfile} || die
done
exeinto /usr/$(get_libdir)/speech-tools
for file in `find main -perm /111 -type f`; do
doexe ${file}
done
# Remove bcat (only useful for testing on windows, see bug #418301).
rm "${D}/usr/bin/bcat" || die
rm "${D}/usr/$(get_libdir)/speech-tools/bcat" || die
}

BIN
app-admin/Manifest.gz

2
app-admin/ansible/Manifest

@ -1,4 +1,2 @@
DIST ansible-2.9.10.tar.gz 14237929 BLAKE2B 52230b18efa94dbcbd6e4fba3d0915e2375fc8de7412944eaeefc054f50ea888a1aeb86b688a7ae97184b1a8a10180e67a7004d48906235ce4e1b83976d10e9a SHA512 c0d5e26491f52d1eb8d1c3755903bb6a8d50634df5fb50a970076d49d99cfda424fa60c258a6a5821e01c435a8ef077d46ced4b2f8c4f4a8d381737e6f14afb4
DIST ansible-2.9.11.tar.gz 14243995 BLAKE2B afd60d69f53c79c778f122db902ba149030fd995650566f6edcfa41178e92d56cf200089b76de3c6999a824725c793e57c222733ed5b9d9c401bccea942cde5b SHA512 b157a5cfb5ba7cb651c7afc0dc92cfe3b8f9eebd06de6d7a1e4917ffca3c542c5207c8e1820acc5be840190c8754f111e2501304ad7e64867247e5b973aec81e
DIST ansible-2.9.12.tar.gz 14260349 BLAKE2B 6d7fdc82489df755196b890b39c166e9639c94e4238b4bf33686a3ab17fcc92c6b3a05f80e1276795b966aaa318ec7d9003099950102c014adb1a5d730928633 SHA512 6c05c49e363d4d68516dfea448cead3e2c281d1288c9467a0b6dd083504f303df694ed1c5957ae6582b28acc937d12d13333254328e13bac430b9b7fa4354f23
DIST ansible-base-2.10.0.tar.gz 5775091 BLAKE2B 2a087b1a9d675c5218e8700f5b455ff280a5dc6e66b575a47755b9936c54594300e3c22acadbe14acfd335c3be788e3d63f6ad3c5c51650cbc036c77ceec41ef SHA512 f9e9631f9ce77e55b06d01814422cbc0ca170e3fbbbd5886e4f87065b68b4d7eefe1c782f6dce14241cc548192c7b06ef778446636be02a342d4bd112000126e

68
app-admin/ansible/ansible-2.9.10.ebuild

@ -1,68 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1 eutils
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86 ~x64-macos"
IUSE="doc test"
RESTRICT="test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
>=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
)
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"
python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}
python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all
dodoc -r examples
}

68
app-admin/ansible/ansible-2.9.11.ebuild

@ -1,68 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1 eutils
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
IUSE="doc test"
RESTRICT="test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
>=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
)
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"
python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}
python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all
dodoc -r examples
}

2
app-admin/ansible/ansible-2.9.12.ebuild

@ -13,7 +13,7 @@ SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86 ~x64-macos"
IUSE="doc test"
RESTRICT="test"

2
app-admin/sudo/sudo-1.9.2.ebuild

@ -22,7 +22,7 @@ else
SRC_URI="https://www.sudo.ws/sudo/dist/${uri_prefix}${MY_P}.tar.gz
ftp://ftp.sudo.ws/pub/sudo/${uri_prefix}${MY_P}.tar.gz"
if [[ ${PV} != *_beta* ]] && [[ ${PV} != *_rc* ]] ; then
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~sparc-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~sparc-solaris"
fi
fi

1
app-admin/supervisor/Manifest

@ -1,3 +1,4 @@
DIST supervisor-4.0.4.tar.gz 437708 BLAKE2B 211726da07ce31c00da0d6edba57942d78ee5d2757927b22afe569364c29aaf55375d4895b381f06071bc6b6c39a926ca2073e8fcb8e0ea9673a89aafd08b346 SHA512 22a38f759b0584310f5e16acbfc7b0c4cc59f3206fbfaf6295bd40a826d50ad02c8b0093821362c5038dd987a6599879d82dcefe948a2eda702b89e9f92e471e
DIST supervisor-4.1.0.tar.gz 459020 BLAKE2B 0c4bdc2c89f54c08ad536b43852941f1aadb0173013e0f73337302f500b779023bfa0fcf8cc3ace4968cfc724998a08ea5a63680e290051d13c7cd8ac788dd24 SHA512 1ae343293707ebf33d0a0c0bda2c6cc78278e12737940a79e51b2365e7a20b07d9f5e50134ed2abbf8e7af1ebd8f1746002a159cde1cfc35e83fda0a77dae9c5
DIST supervisor-4.2.0.tar.gz 456056 BLAKE2B 51b66cfc34505b937c47c9b510d81bcc777b9372fdeb2e08fc25153d2718cd2682258b812630160954587ceb992e1a528cdd5bf0d270139f7ffac9463ac2f015 SHA512 626d806f4b03be7cbff795afd1bdb3ff5ca5ecf44f035909ea1aa9360da9fa3047b2fe05543190bf1442f01dcdd403be19fcd907519bf7e26615900bc4bf9d0f
DIST supervisor-4.2.1.tar.gz 460935 BLAKE2B 0c65f904599c1e8a04cd3a71085e2b2a5460691c2bfd790d3b7c10449cae08472bcd72a870cbe611801434624f405ea3e245f156cab93f25a8df784b58d948d7 SHA512 c560ef959f8d580fb20c1812aa2a838c9feaeb3726a754e8084fa8c7406ff9258139b55b081558b8d8f33e4672cdfad40695170f55412a5e85a6c1aed0f11657

54
app-admin/supervisor/supervisor-4.2.1.ebuild

@ -0,0 +1,54 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
# xml.etree.ElementTree module required.
PYTHON_REQ_USE="xml(+)"
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1 systemd
MY_PV="${PV/_beta/b}"
DESCRIPTION="A system for controlling process state under UNIX"
HOMEPAGE="http://supervisord.org/ https://pypi.org/project/supervisor/"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${PN}-${MY_PV}.tar.gz"
S="${WORKDIR}/${PN}-${MY_PV}"
LICENSE="repoze ZPL BSD HPND GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="acct-group/supervisor"
distutils_enable_sphinx docs
distutils_enable_tests pytest
python_install_all() {
distutils-r1_python_install_all
newinitd "${FILESDIR}/init.d-r2" supervisord
newconfd "${FILESDIR}/conf.d-r1" supervisord
dodoc supervisor/skel/sample.conf
keepdir /etc/supervisord.d
insinto /etc
doins "${FILESDIR}/supervisord.conf"
keepdir /var/log/supervisor
systemd_dounit "${FILESDIR}/supervisord.service"
}
pkg_preinst() {
fowners :supervisor /var/log/supervisor
fperms 750 /var/log/supervisor
}
pkg_postinst() {
if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation
elog "You may install your configuration files in ${EROOT}/etc/supervisord.d"
elog "For config examples, see ${EROOT}/usr/share/doc/${PF}/sample.conf.bz2"
elog ""
elog "By default, only members of the supervisor group can run supervisorctl."
fi
}

BIN
app-arch/Manifest.gz

2
app-arch/gzip/gzip-1.10.ebuild

@ -13,7 +13,7 @@ SRC_URI="mirror://gnu/gzip/${P}.tar.xz
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="pic static"
PATCHES=(

2
app-arch/unrar/unrar-5.9.4.ebuild

@ -14,7 +14,7 @@ SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="unRAR"
# subslot = soname version
SLOT="0/5"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE=""
RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"

2
app-arch/xz-utils/xz-utils-5.2.5.ebuild

@ -17,7 +17,7 @@ else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="https://tukaani.org/xz/${MY_P}.tar.gz"
[[ "${PV}" == *_alpha* ]] || [[ "${PV}" == *_beta* ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S="${WORKDIR}/${MY_P}"
fi

BIN
app-benchmarks/Manifest.gz

2
app-benchmarks/stress-ng/Manifest

@ -1 +1 @@
DIST stress-ng-0.11.17.tar.xz 467156 BLAKE2B fab734e0dcd7633e6a47a3b6a41111dd900a2dfb2e3666d8fbf439d2d40ea6b7f5f25763aba5d774cf20ce43598e0bce2229e321c2a9512d5f26d8a795d70ce8 SHA512 8320e10fb2a2f224b23efe72af7d84e6beb73bbd54eff0a6c04afee14de5cbbf6584e1a6d936f52651467138e9647dfb0ff092aa7e73a9f8304627a603546f79
DIST stress-ng-0.11.18.tar.xz 473268 BLAKE2B 1a10fab7fc98dad72f59f871e148980b3a7ea29d62badcc7a41ae72598cd99b880da10927a8809b5785040aaaf93a4776801304a43bf3d7bcfbbf19d5b488cd2 SHA512 c6871cfb6b72fae83ad2d8a4877363b81e5674d1670faa24c7a54951020f177f9a81033506207032a0b2bf39269fb09c6d8a6842d41285ee75135a37ad8e781c

0
app-benchmarks/stress-ng/stress-ng-0.11.17.ebuild → app-benchmarks/stress-ng/stress-ng-0.11.18.ebuild

BIN
app-crypt/Manifest.gz

34
app-crypt/tpm2-tools/tpm2-tools-4.2.1-r1.ebuild

@ -0,0 +1,34 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Tools for the TPM 2.0 TSS"
HOMEPAGE="https://github.com/tpm2-software/tpm2-tools"
SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+fapi libressl"
# Integration test are now run as part of the testing suite, which will fail
# because none of the supported TPM emulators are in Portage. In a future
# version of tpm2-tools, swtpm will be supported and the tests can be run.
RESTRICT="test"
RDEPEND="net-misc/curl:=
>=app-crypt/tpm2-tss-2.4.0:=[fapi?]
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
PATCHES=(
"${FILESDIR}/${P}-libressl.patch"
)
src_configure() {
econf \
$(use_enable fapi) \
$(use_enable !libressl hardening)
}

34
app-crypt/tpm2-tools/tpm2-tools-4.2.1.ebuild

@ -1,34 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Tools for the TPM 2.0 TSS"
HOMEPAGE="https://github.com/tpm2-software/tpm2-tools"
SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+fapi libressl"
# Integration test are now run as part of the testing suite, which will fail
# because none of the supported TPM emulators are in Portage. In a future
# version of tpm2-tools, swtpm will be supported and the tests can be run.
RESTRICT="test"
RDEPEND="net-misc/curl:=
fapi? ( >=app-crypt/tpm2-tss-2.4.0:=[fapi?] )
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
PATCHES=(
"${FILESDIR}/${P}-libressl.patch"
)
src_configure() {
econf \
$(use_enable fapi) \
$(use_enable !libressl hardening)
}

2
app-crypt/trousers/trousers-0.3.14-r3.ebuild

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
LICENSE="CPL-1.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~ppc ~ppc64 ~s390 ~x86"
KEYWORDS="amd64 arm arm64 ~m68k ~ppc ~ppc64 ~s390 x86"
IUSE="doc libressl selinux" # gtk
# gtk support presently does NOT compile.

BIN
app-editors/Manifest.gz

12
app-editors/bluefish/bluefish-2.2.10.ebuild

@ -3,9 +3,7 @@
EAPI=6
PYTHON_COMPAT=( python2_7 )
inherit autotools gnome2-utils python-single-r1 xdg-utils
inherit autotools gnome2-utils xdg-utils
MY_P=${P/_/-}
@ -16,8 +14,7 @@ HOMEPAGE="http://bluefish.openoffice.nl/"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc x86"
SLOT="0"
IUSE="+gtk3 gucharmap nls python spell"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
IUSE="+gtk3 gucharmap nls spell"
RDEPEND="
sys-libs/zlib
@ -26,7 +23,6 @@ RDEPEND="
x11-libs/gtk+:3
gucharmap? ( gnome-extra/gucharmap:2.90 )
)
python? ( ${PYTHON_DEPS} )
spell? ( >=app-text/enchant-1.4:0 )"
DEPEND="${RDEPEND}
dev-libs/libxml2:2
@ -48,8 +44,6 @@ pkg_setup() {
ewarn "gucharmap USE flag requires the gtk3 USE flag being enabled."
ewarn "Disabling charmap plugin."
fi
use python && python-single-r1_pkg_setup
}
PATCHES=(
@ -71,7 +65,7 @@ src_configure() {
$(usex gtk3 "$(use_with gucharmap charmap)" '--without-charmap') \
$(use_enable nls) \
$(use_enable spell spell-check) \
$(use_enable python)
--disable-python
}
src_install() {

1
app-editors/bluefish/metadata.xml

@ -5,7 +5,6 @@
<use>
<flag name="gtk3">Enable GTK3 interface (default)</flag>
<flag name="gucharmap">Enable gucharmap dictionary plugin</flag>
<flag name="python">Enable Python integration for zen-coding plugin</flag>
<flag name="spell">Enable spell checking capabilities via enchant library</flag>
</use>
</pkgmetadata>

10
app-editors/emacs/emacs-27.1.9999-r1.ebuild

@ -11,6 +11,7 @@ if [[ ${PV##*.} = 9999 ]]; then
EGIT_BRANCH="emacs-27"
EGIT_CHECKOUT_DIR="${WORKDIR}/emacs"
S="${EGIT_CHECKOUT_DIR}"
SLOT="${PV%%.*}-vcs"
else
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
@ -18,12 +19,20 @@ else
FULL_VERSION="${PV%%_*}"
SRC_URI="mirror://gnu/emacs/${P}.tar.xz"
S="${WORKDIR}/emacs-${FULL_VERSION}"
# PV can be in any of the following formats:
# 27.1 released version (slot 27)
# 27.1_rc1 upstream release candidate (27)
# 27.0.9999 live ebuild (slot 27-vcs)
# 27.0.90 upstream prerelease snapshot (27-vcs)
# 27.0.50_pre20191223 snapshot by Gentoo developer (27-vcs)
if [[ ${PV} == *_pre* ]]; then
SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
S="${WORKDIR}/emacs"
elif [[ ${PV//[0-9]} != "." ]]; then
SRC_URI="mirror://gnu-alpha/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
fi
SLOT="${PV%%.*}"
[[ ${PV} == *.*.* ]] && SLOT+="-vcs"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
fi
@ -31,7 +40,6 @@ DESCRIPTION="The extensible, customizable, self-documenting real-time display ed
HOMEPAGE="https://www.gnu.org/software/emacs/"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="27-vcs"
IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif +gmp gpm gsettings gtk gtk2 gzip-el harfbuzz imagemagick +inotify jpeg json kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
REQUIRED_USE="?? ( aqua X )"
RESTRICT="test"

10
app-editors/emacs/emacs-27.1.ebuild

@ -11,6 +11,7 @@ if [[ ${PV##*.} = 9999 ]]; then
EGIT_BRANCH="emacs-27"
EGIT_CHECKOUT_DIR="${WORKDIR}/emacs"
S="${EGIT_CHECKOUT_DIR}"
SLOT="${PV%%.*}-vcs"
else
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
@ -18,12 +19,20 @@ else
FULL_VERSION="${PV%%_*}"
SRC_URI="mirror://gnu/emacs/${P}.tar.xz"
S="${WORKDIR}/emacs-${FULL_VERSION}"
# PV can be in any of the following formats:
# 27.1 released version (slot 27)
# 27.1_rc1 upstream release candidate (27)
# 27.0.9999 live ebuild (slot 27-vcs)
# 27.0.90 upstream prerelease snapshot (27-vcs)
# 27.0.50_pre20191223 snapshot by Gentoo developer (27-vcs)
if [[ ${PV} == *_pre* ]]; then
SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
S="${WORKDIR}/emacs"
elif [[ ${PV//[0-9]} != "." ]]; then
SRC_URI="mirror://gnu-alpha/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
fi
SLOT="${PV%%.*}"
[[ ${PV} == *.*.* ]] && SLOT+="-vcs"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
fi
@ -31,7 +40,6 @@ DESCRIPTION="The extensible, customizable, self-documenting real-time display ed
HOMEPAGE="https://www.gnu.org/software/emacs/"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="27"
IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif +gmp gpm gsettings gtk gtk2 gzip-el harfbuzz imagemagick +inotify jpeg json kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
REQUIRED_USE="?? ( aqua X )"
RESTRICT="test"

10
app-editors/emacs/emacs-28.0.9999.ebuild

@ -11,6 +11,7 @@ if [[ ${PV##*.} = 9999 ]]; then
EGIT_BRANCH="master"
EGIT_CHECKOUT_DIR="${WORKDIR}/emacs"
S="${EGIT_CHECKOUT_DIR}"
SLOT="${PV%%.*}-vcs"
else
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
@ -18,12 +19,20 @@ else
FULL_VERSION="${PV%%_*}"
SRC_URI="mirror://gnu/emacs/${P}.tar.xz"
S="${WORKDIR}/emacs-${FULL_VERSION}"
# PV can be in any of the following formats:
# 27.1 released version (slot 27)
# 27.1_rc1 upstream release candidate (27)
# 27.0.9999 live ebuild (slot 27-vcs)
# 27.0.90 upstream prerelease snapshot (27-vcs)
# 27.0.50_pre20191223 snapshot by Gentoo developer (27-vcs)
if [[ ${PV} == *_pre* ]]; then
SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
S="${WORKDIR}/emacs"
elif [[ ${PV//[0-9]} != "." ]]; then
SRC_URI="mirror://gnu-alpha/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
fi
SLOT="${PV%%.*}"
[[ ${PV} == *.*.* ]] && SLOT+="-vcs"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
fi
@ -31,7 +40,6 @@ DESCRIPTION="The extensible, customizable, self-documenting real-time display ed
HOMEPAGE="https://www.gnu.org/software/emacs/"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="28-vcs"
IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif +gmp gpm gsettings gtk gtk2 gzip-el harfbuzz imagemagick +inotify jpeg json kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
REQUIRED_USE="?? ( aqua X )"
RESTRICT="test"

1
app-editors/gnome-latex/Manifest

@ -1 +1,2 @@
DIST gnome-latex-3.32.0.tar.xz 1145836 BLAKE2B 3ea44981b90fe258abd05c91c6f7425c73159ce0d3d108659c6be38a4612d5dbdd699cf20fa63b8dd2b2727a00baf6ae6a2b4504c0124e0a756ee7de6130750f SHA512 6b67302327318ccd9d307f271fd84e4cd550883f322d4b0e47b6425d9dd509c96dddeb0e690cca4fffddc1d5ebbc3dfd3e38cbe9985eda520110d9a768ef83d0
DIST gnome-latex-3.36.0.tar.xz 1150308 BLAKE2B 7a0782b9be7727f700913b61f3ef3068340f69c2f88f5d8c1727fe7252230e194329a133f7d22a10ca4e3d2e471657705c1e821b0571b26a78a8fb13d6148d76 SHA512 54ba6c7571a0fe9cada9c8f01d57a1dd0bc4da07cc1a501adbc711433e6f16e890e44a588aa91b67f0ebb912dde8822d992763ed3b5a294a55a5bed20b7e1390

49
app-editors/gnome-latex/gnome-latex-3.36.0.ebuild

@ -0,0 +1,49 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit gnome2
DESCRIPTION="Integrated LaTeX environment for GNOME"
HOMEPAGE="https://wiki.gnome.org/Apps/GNOME-LaTeX"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+introspection +latexmk rubber"
COMMON_DEPEND="
>=app-text/gspell-1.8:0=
>=dev-libs/glib-2.56:2
>=dev-libs/libgee-0.10:0.8=
gnome-base/gsettings-desktop-schemas
>=x11-libs/gtk+-3.22:3
>=x11-libs/gtksourceview-4.0:4
>=gui-libs/tepl-4.4:4
x11-libs/gdk-pixbuf:2
x11-libs/pango
introspection? ( >=dev-libs/gobject-introspection-1.30.0:= )
gnome-base/dconf
"
RDEPEND="${COMMON_DEPEND}
virtual/latex-base
x11-themes/hicolor-icon-theme
latexmk? ( dev-tex/latexmk )
rubber? ( dev-tex/rubber )
"
DEPEND="${COMMON_DEPEND}
dev-util/gdbus-codegen
dev-util/glib-utils
>=dev-util/gtk-doc-am-1.14
>=dev-util/intltool-0.50.1
dev-util/itstool
virtual/pkgconfig
"
src_configure() {
gnome2_src_configure \
$(use_enable introspection) \
--enable-dconf_migration \
APPSTREAM_UTIL="$(type -P true)" # Fails strict validation in 3.32.0
}

4
app-editors/scite/Manifest

@ -1,5 +1,3 @@
DIST scite-4.1.3.tgz 2546247 BLAKE2B 9c0cd767e6aff861bb706500eebf5fa431d5ce608f37a9b19d2af7d558698eb3073a33fcdd0900abb549aa9ed65981a9f217dc1dae4b21be919c380d20d4ee8f SHA512 875dd44785e9c96a264df9061830c7ab51296061da7765084ec4445d7f529dabecebcfadc5a1d8cab9074ffd588903ca056ed5de0ae974d60a5c57b13d61550d
DIST scite-4.2.0.tgz 2629884 BLAKE2B f9801146a086faefb38b72d28e00da055191c44254e5a6d34ade06462febd6a2b596aa572dd7e16c7541b0fcc23ff5f97f462b8869440782fd51f71ddd16d4c9 SHA512 d0a46ed2a21057a4fa866ae9305c9893360376d8591a9414eab96f9cb91991a43f3bf824bbb9a00c606555686aafdc0dc4b4bb41bcc94fe5dc90064342914c5a
DIST scite-4.2.1.tgz 2633438 BLAKE2B cddf23f60eb1791266e38eba03ed8708aa02e0d91470344b19bfad7519930691a4b6a79b1eed3ac06234509b20fbd6b299c13c48a6990e0d8ced1a99a1d01220 SHA512 b2ad499f1c4d1a15b009516d24186c7d84f48ccdd40d2e9ca614de3cf36725a710523beaacda499186f040869e87339c2292e23eec959c2cdaa5fedfbb94d565
DIST scite-4.3.2.tgz 2710026 BLAKE2B dd53eb2c3214033976ae4c5f63f75ea19d691ac9362e9d8ed527aff6b34d16e029d404d9731e3097cdf36d4c4594b427aa26bc9b83cb6a6ed05741e61fe4dfd4 SHA512 fd29369787f16c8357ae4bfd82b7f621ebb399e93e77c7540296c2a3c8b4e403071359f67f59bb5bd59216ae7e9cfa8aabfc38e200d59bea2c13e96991a3c9b8
DIST scite-4.3.3.tgz 2714086 BLAKE2B f31db7147c102ea19317d5a0bfb64e2ccd34914a8b615cd6c02f2e79f1788433dd3ecd6a565599d43a0c4da34ac30e9434037a042d77170f14969d3b008a742f SHA512 85bc76bc9bb817fb0f7ddecad5e01d83d7090e788c2f74b9b23a86284f452a62c2fed64d0cf7c24cb57043228b8c91212742b644756d2ab185b10ead8785b82b
DIST scite-4.4.4.tgz 2775628 BLAKE2B a7607b53bf529c56f6525d44b052a08c914d8aa1d90d475dcf46927ac5ce83c06d68b70e8d8e8969c77c367240ba1e7ac10d599c77002575e84b9baf6445d03b SHA512 1e8529286206d542e0c07353b73ab38aa9ee2e2256ed8e15328965e00a33eb026f79bd7d330253e8743cf5503fadb32c64162973ad21da16993f11e124842ec0

119
app-editors/scite/scite-4.1.3.ebuild

@ -1,119 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit gnome2-utils toolchain-funcs xdg-utils
MY_PV=${PV//./}
DESCRIPTION="A very powerful, highly configurable, small editor with syntax coloring"
HOMEPAGE="https://www.scintilla.org/SciTE.html"
SRC_URI="https://www.scintilla.org/${PN}${MY_PV}.tgz -> ${P}.tgz"
LICENSE="HPND lua? ( MIT )"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~arm-linux ~x86-linux"
IUSE="lua"
RDEPEND="
dev-libs/glib:=
x11-libs/cairo
x11-libs/gdk-pixbuf
x11-libs/gtk+:3=
x11-libs/pango
lua? ( >=dev-lang/lua-5:= )
"
DEPEND="${RDEPEND}
virtual/pkgconfig"
S="${WORKDIR}/${PN}/gtk"
pkg_pretend() {
if tc-is-clang ; then
# need c++17 features
[[ "${MERGE_TYPE}" != "binary" &&
$(clang-major-version) -lt 5 ]] &&
die "Sorry, SCiTE uses C++17 Features and needs >sys-devel/clang-5
($(clang-major-version))."
elif tc-is-gcc; then
# older gcc is not supported
[[ "${MERGE_TYPE}" != "binary" &&
$(gcc-major-version) -lt 7 ]] &&
die "Sorry, Scite uses C++17 Features, need >sys-devel/gcc-7."
else
die "Either gcc or clang should be configured for building scite"
fi
}
src_prepare() {
# remove hardcoded CC, Optimizations and clang unknown flags
sed -i "${WORKDIR}/scintilla/gtk/makefile" \
-e "s#^CC = gcc#CC = ${CC}#" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#-Os##" \
-e "s#-Wno-misleading-indentation##" \
|| die "error patching /scintilla/gtk/makefile"
sed -i "${S}/makefile" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#-rdynamic#-rdynamic ${LDFLAGS}#" \
-e "s#-Os##" \
|| die "error patching gtk/makefile"
# repair and enhance the .desktop file
sed -i "${S}/SciTE.desktop" \
-e "s#text/plain#text/\*;application/xhtml+xml#" \
-e "s#^Categories=\(.*\)#Categories=Development;#" \
|| die "error patching /scite/gtk/SciTe.desktop"
# add the ebuild suffix as shell type for working with ebuilds
sed -i "${WORKDIR}/scite/src/perl.properties" \
-e "s#\*.sh;\*.bsh;#\*.ebuild;\*.sh;\*.bsh;#" \
|| die "error patching /scite/src/perl.prperties"
# it seems that pwd here is ${S}, but user patches are relative to ${workdir}
# Bug #576162
cd "${WORKDIR}" || die "couldn't cd into ${WORKDIR}"
eapply_user
}
src_compile() {
# prepare make options
local emake_pars="GTK3=1"
if tc-is-clang ; then
emake_pars+=" CLANG=1"
fi
if ! use lua; then
emake_pars+=" NO_LUA=1"
fi
emake -C "${WORKDIR}/scintilla/gtk" "${emake_pars}"
emake "${emake_pars}"
}
src_install() {
emake DESTDIR="${ED}" install
# we have to keep this because otherwise it'll break upgrading
mv "${ED}/usr/bin/SciTE" "${ED}/usr/bin/scite" || die
dosym scite /usr/bin/SciTE
doman ../doc/scite.1
dodoc ../README
}
pkg_postinst() {
gnome2_icon_cache_update
xdg_desktop_database_update
}
pkg_postrm() {
gnome2_icon_cache_update
xdg_desktop_database_update
}

119
app-editors/scite/scite-4.2.0.ebuild

@ -1,119 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit gnome2-utils toolchain-funcs xdg-utils
MY_PV=${PV//./}
DESCRIPTION="A very powerful, highly configurable, small editor with syntax coloring"
HOMEPAGE="https://www.scintilla.org/SciTE.html"
SRC_URI="https://www.scintilla.org/${PN}${MY_PV}.tgz -> ${P}.tgz"
LICENSE="HPND lua? ( MIT )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~arm-linux ~x86-linux"
IUSE="lua"
RDEPEND="
dev-libs/glib:=
x11-libs/cairo
x11-libs/gdk-pixbuf
x11-libs/gtk+:3=
x11-libs/pango
lua? ( >=dev-lang/lua-5:= )
"
DEPEND="${RDEPEND}
virtual/pkgconfig"
S="${WORKDIR}/${PN}/gtk"
pkg_pretend() {
if tc-is-clang ; then
# need c++17 features
[[ "${MERGE_TYPE}" != "binary" &&
$(clang-major-version) -lt 5 ]] &&
die "Sorry, SCiTE uses C++17 Features and needs >sys-devel/clang-5
($(clang-major-version))."
elif tc-is-gcc; then
# older gcc is not supported
[[ "${MERGE_TYPE}" != "binary" &&
$(gcc-major-version) -lt 7 ]] &&
die "Sorry, Scite uses C++17 Features, need >sys-devel/gcc-7."
else
die "Either gcc or clang should be configured for building scite"
fi
}
src_prepare() {
# remove hardcoded CC, Optimizations and clang unknown flags
sed -i "${WORKDIR}/scintilla/gtk/makefile" \
-e "s#^CC = gcc#CC = ${CC}#" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#-Os##" \
-e "s#-Wno-misleading-indentation##" \
|| die "error patching /scintilla/gtk/makefile"
sed -i "${S}/makefile" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#-rdynamic#-rdynamic ${LDFLAGS}#" \
-e "s#-Os##" \
|| die "error patching gtk/makefile"
# repair and enhance the .desktop file
sed -i "${S}/SciTE.desktop" \
-e "s#text/plain#text/\*;application/xhtml+xml#" \
-e "s#^Categories=\(.*\)#Categories=Development;#" \
|| die "error patching /scite/gtk/SciTe.desktop"
# add the ebuild suffix as shell type for working with ebuilds
sed -i "${WORKDIR}/scite/src/perl.properties" \
-e "s#\*.sh;\*.bsh;#\*.ebuild;\*.sh;\*.bsh;#" \
|| die "error patching /scite/src/perl.prperties"
# it seems that pwd here is ${S}, but user patches are relative to ${workdir}
# Bug #576162
cd "${WORKDIR}" || die "couldn't cd into ${WORKDIR}"
eapply_user
}
src_compile() {
# prepare make options
local emake_pars="GTK3=1"
if tc-is-clang ; then
emake_pars+=" CLANG=1"
fi
if ! use lua; then
emake_pars+=" NO_LUA=1"
fi
emake -C "${WORKDIR}/scintilla/gtk" "${emake_pars}"
emake "${emake_pars}"
}
src_install() {
emake DESTDIR="${ED}" install
# we have to keep this because otherwise it'll break upgrading
mv "${ED}/usr/bin/SciTE" "${ED}/usr/bin/scite" || die
dosym scite /usr/bin/SciTE
doman ../doc/scite.1
dodoc ../README
}
pkg_postinst() {
gnome2_icon_cache_update
xdg_desktop_database_update
}
pkg_postrm() {
gnome2_icon_cache_update
xdg_desktop_database_update
}

8
app-editors/scite/scite-4.2.1.ebuild

@ -47,18 +47,20 @@ pkg_pretend() {
}
src_prepare() {
tc-export AR CC CXX RANLIB
# remove hardcoded CC, Optimizations and clang unknown flags
sed -i "${WORKDIR}/scintilla/gtk/makefile" \
-e "s#^CC = gcc#CC = ${CC}#" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#^CXX = clang++#CXX = ${CXX}#" \
-e "s#-Os##" \
-e "s#-Wno-misleading-indentation##" \
|| die "error patching /scintilla/gtk/makefile"
sed -i "${S}/makefile" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#^CXX = clang++#CXX = ${CXX}#" \
-e "s#-rdynamic#-rdynamic ${LDFLAGS}#" \
-e "s#-Os##" \
|| die "error patching gtk/makefile"
@ -72,7 +74,7 @@ src_prepare() {
# add the ebuild suffix as shell type for working with ebuilds
sed -i "${WORKDIR}/scite/src/perl.properties" \
-e "s#\*.sh;\*.bsh;#\*.ebuild;\*.sh;\*.bsh;#" \
|| die "error patching /scite/src/perl.prperties"
|| die "error patching /scite/src/perl.properties"
# it seems that pwd here is ${S}, but user patches are relative to ${workdir}
# Bug #576162

113
app-editors/scite/scite-4.3.2.ebuild

@ -1,113 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs xdg-utils
DESCRIPTION="A very powerful, highly configurable, small editor with syntax coloring"
HOMEPAGE="https://www.scintilla.org/SciTE.html"
SRC_URI="https://www.scintilla.org/${PN}${PV//./}.tgz -> ${P}.tgz"
LICENSE="HPND lua? ( MIT )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~arm-linux ~x86-linux"
IUSE="lua"
RDEPEND="
dev-libs/glib:2
x11-libs/cairo
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
x11-libs/pango
lua? ( >=dev-lang/lua-5:= )"
DEPEND="${RDEPEND}"
BDEPEND="
virtual/pkgconfig"
DOCS=("../README")
S="${WORKDIR}/${PN}/gtk"
pkg_pretend() {
if tc-is-clang ; then
# need c++17 features
[[ "${MERGE_TYPE}" != "binary" &&
$(clang-major-version) -lt 5 ]] &&
die "Sorry, SCiTE uses C++17 Features and needs >sys-devel/clang-5
($(clang-major-version))."
elif tc-is-gcc; then
# older gcc is not supported
[[ "${MERGE_TYPE}" != "binary" &&
$(gcc-major-version) -lt 7 ]] &&
die "Sorry, Scite uses C++17 Features, need >sys-devel/gcc-7."
else
die "Either gcc or clang should be configured for building scite"
fi
}
src_prepare() {
# remove hardcoded CC, Optimizations and clang unknown flags
sed -i "${WORKDIR}/scintilla/gtk/makefile" \
-e "s#^CC = gcc#CC = ${CC}#" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#-Os##" \
-e "s#-Wno-misleading-indentation##" \
|| die "error patching /scintilla/gtk/makefile"
sed -i "${S}/makefile" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#-rdynamic#-rdynamic ${LDFLAGS}#" \
-e "s#-Os##" \
|| die "error patching gtk/makefile"
# repair and enhance the .desktop file
sed -i "${S}/SciTE.desktop" \
-e "s#text/plain#text/\*;application/xhtml+xml#" \
-e "s#^Categories=\(.*\)#Categories=Development;#" \
|| die "error patching /scite/gtk/SciTe.desktop"
# add the ebuild suffix as shell type for working with ebuilds
sed -i "${WORKDIR}/scite/src/perl.properties" \
-e "s#\*.sh;\*.bsh;#\*.ebuild;\*.sh;\*.bsh;#" \
|| die "error patching /scite/src/perl.prperties"
# it seems that pwd here is ${S}, but user patches are relative to ${workdir}
# Bug #576162
cd "${WORKDIR}" || die "couldn't cd into ${WORKDIR}"
eapply_user
}
src_compile() {
# prepare make options
local emake_pars=("GTK3=1")
tc-is-clang && emake_pars+=("CLANG=1")
use !lua && emake_pars+=("NO_LUA=1")
emake -C "${WORKDIR}/scintilla/gtk" "${emake_pars[@]}"
emake "${emake_pars[@]}"
}
# want to use the base src_install() as base_src_install()
src_install() {
default
dosym SciTE /usr/bin/scite
}
pkg_postinst() {
xdg_icon_cache_update
xdg_desktop_database_update
}
pkg_postrm() {
xdg_icon_cache_update
xdg_desktop_database_update
}

8
app-editors/scite/scite-4.3.3.ebuild

@ -50,18 +50,20 @@ pkg_pretend() {
}
src_prepare() {
tc-export AR CC CXX RANLIB
# remove hardcoded CC, Optimizations and clang unknown flags
sed -i "${WORKDIR}/scintilla/gtk/makefile" \
-e "s#^CC = gcc#CC = ${CC}#" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#^CXX = clang++#CXX = ${CXX}#" \
-e "s#-Os##" \
-e "s#-Wno-misleading-indentation##" \
|| die "error patching /scintilla/gtk/makefile"
sed -i "${S}/makefile" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CC = ${CXX}#" \
-e "s#^CXX = clang++#CXX = ${CXX}#" \
-e "s#-rdynamic#-rdynamic ${LDFLAGS}#" \
-e "s#-Os##" \
|| die "error patching gtk/makefile"
@ -75,7 +77,7 @@ src_prepare() {
# add the ebuild suffix as shell type for working with ebuilds
sed -i "${WORKDIR}/scite/src/perl.properties" \
-e "s#\*.sh;\*.bsh;#\*.ebuild;\*.sh;\*.bsh;#" \
|| die "error patching /scite/src/perl.prperties"
|| die "error patching /scite/src/perl.properties"
# it seems that pwd here is ${S}, but user patches are relative to ${workdir}
# Bug #576162

115
app-editors/scite/scite-4.4.4.ebuild

@ -0,0 +1,115 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs xdg-utils
DESCRIPTION="A very powerful, highly configurable, small editor with syntax coloring"
HOMEPAGE="https://www.scintilla.org/SciTE.html"
SRC_URI="https://www.scintilla.org/${PN}${PV//./}.tgz -> ${P}.tgz"
LICENSE="HPND lua? ( MIT )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~arm-linux ~x86-linux"
IUSE="lua"
RDEPEND="
dev-libs/glib:2
x11-libs/cairo
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
x11-libs/pango
lua? ( >=dev-lang/lua-5:= )"
DEPEND="${RDEPEND}"
BDEPEND="
virtual/pkgconfig"
DOCS=("../README")
S="${WORKDIR}/${PN}/gtk"
pkg_pretend() {
if tc-is-clang ; then
# need c++17 features
[[ "${MERGE_TYPE}" != "binary" &&
$(clang-major-version) -lt 5 ]] &&
die "Sorry, SCiTE uses C++17 Features and needs >sys-devel/clang-5
($(clang-major-version))."
elif tc-is-gcc; then
# older gcc is not supported
[[ "${MERGE_TYPE}" != "binary" &&
$(gcc-major-version) -lt 7 ]] &&
die "Sorry, Scite uses C++17 Features, need >sys-devel/gcc-7."
else
die "Either gcc or clang should be configured for building scite"
fi
}
src_prepare() {
tc-export AR CC CXX RANLIB
# remove hardcoded CC, Optimizations and clang unknown flags
sed -i "${WORKDIR}/scintilla/gtk/makefile" \
-e "s#^CC = gcc#CC = ${CC}#" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CXX = ${CXX}#" \
-e "s#-Os##" \
-e "s#-Wno-misleading-indentation##" \
|| die "error patching /scintilla/gtk/makefile"
sed -i "${S}/makefile" \
-e "s#^CC = clang#CC = ${CC}#" \
-e "s#^CXX = clang++#CXX = ${CXX}#" \
-e "s#-rdynamic#-rdynamic ${LDFLAGS}#" \
-e "s#-Os##" \
|| die "error patching gtk/makefile"
# repair and enhance the .desktop file
sed -i "${S}/SciTE.desktop" \
-e "s#text/plain#text/\*;application/xhtml+xml#" \
-e "s#^Categories=\(.*\)#Categories=Development;#" \
|| die "error patching /scite/gtk/SciTe.desktop"
# add the ebuild suffix as shell type for working with ebuilds
sed -i "${WORKDIR}/scite/src/perl.properties" \
-e "s#\*.sh;\*.bsh;#\*.ebuild;\*.sh;\*.bsh;#" \
|| die "error patching /scite/src/perl.properties"
# it seems that pwd here is ${S}, but user patches are relative to ${workdir}
# Bug #576162
cd "${WORKDIR}" || die "couldn't cd into ${WORKDIR}"
eapply_user
}
src_compile() {
# prepare make options
local emake_pars=("GTK3=1")
tc-is-clang && emake_pars+=("CLANG=1")
use !lua && emake_pars+=("NO_LUA=1")
emake -C "${WORKDIR}/scintilla/gtk" "${emake_pars[@]}"
emake "${emake_pars[@]}"
}
# want to use the base src_install() as base_src_install()
src_install() {
default
dosym SciTE /usr/bin/scite
}
pkg_postinst() {
xdg_icon_cache_update
xdg_desktop_database_update
}
pkg_postrm() {
xdg_icon_cache_update
xdg_desktop_database_update
}

2
app-editors/xemacs/xemacs-21.4.24-r2.ebuild

@ -16,7 +16,7 @@ SRC_URI="http://ftp.xemacs.org/xemacs-21.4/${P}.tar.gz
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 arm64 ~hppa ~ppc ~ppc64 sparc x86"
IUSE="eolconv gif gpm pop postgres ldap xface nas dnd X jpeg tiff png mule motif freewnn canna xim athena neXt Xaw3d gdbm berkdb"
X_DEPEND="x11-libs/libXt x11-libs/libXmu x11-libs/libXext x11-misc/xbitmaps"

BIN
app-emacs/Manifest.gz

4
app-emacs/ddskk/ddskk-16.2.ebuild

@ -35,9 +35,9 @@ src_prepare() {
rm -f skk-lookup.el
if use ruby; then
mv bayesian/*.el .
cp bayesian/*.el . || die
fi
mv tut-code/*.el .
cp tut-code/*.el . || die
}
src_compile() {

4
app-emacs/ddskk/ddskk-16.3.ebuild

@ -35,9 +35,9 @@ src_prepare() {
rm -f skk-lookup.el
if use ruby; then
mv bayesian/*.el .
cp bayesian/*.el . || die
fi
mv tut-code/*.el .
cp tut-code/*.el . || die
}
src_compile() {

4
app-emacs/ddskk/ddskk-17.1.ebuild

@ -35,9 +35,9 @@ src_prepare() {
rm -f skk-lookup.el
if use ruby; then
mv bayesian/*.el .
cp bayesian/*.el . || die
fi
mv tut-code/*.el .
cp tut-code/*.el . || die
}
src_compile() {

BIN
app-emulation/Manifest.gz

23
app-emulation/crossover-bin/Manifest

@ -1,24 +1 @@
DIST install-crossover-12.5.0.bin 55089470 BLAKE2B 13c30717c5dcfb802f97df5c5a83a4ba00b769bcc361ba24f9834910392b5ba3ad9eb0c03bea9ac827f1526078e1142aef5d36b76c6576a35edaf1f6f96e092f SHA512 85dbf37b76dd63ba761f6f8efc8c294f38bdb2a443fbed7a7f7f37652b377046f7bd27588600fc456e7fa8040d06a1673475bfc6a7b7a110a16a678efcc5c764
DIST install-crossover-12.5.1.bin 56658131 BLAKE2B 540678f4905d012c45aee4033d5b056b3415535a05f3d9c0f7aba875ab2fb88fd311fec9b64085b57b07bf06bfd9b0f90e8c3bb0cfafde3f8ccbe114ae51ac82 SHA512 0f71a06f3a028698c4b076b205d807e193282c10c7cfb8e62e4697e9b3bd7549947c02c15f82d959d6963630677e6c72a5f8468d35d66ccb3ff6814ed2173c72
DIST install-crossover-13.0.0.bin 58807581 BLAKE2B d93a92db09777c3108342428bcd0d4de59921a8e7569b8e501f7b706c462a39b5320d98e69fb3d97c215d290e0c1950f42586fefa37b50c6df29014607f42a6b SHA512 fcf5dde6da1f2fb1eb402bd588baab5e951f8a0ad7959b06a4b7a42f250beb74f9c8d95f26f6fcd4ced9ce0bc4b484ad9a045a485f82028bf8ab7f2abf7ace33
DIST install-crossover-13.0.1.bin 58567182 BLAKE2B 49e0f7201b2501036883ff9b9ef81f997aaff781b8c01f4992243dc728c2298a3c9cfb2932dd7e4da8e6750e837394184b14e2828f0b763e86fcb5abe6955878 SHA512 e43e3e92d4ac36546fafdf68d61b4fd5af412f83e301b232230589247ed052cb958f0d4eb7667fd616797b8f8c3b4f7acbfa7a9f1206204c5a98e456113a380b
DIST install-crossover-13.1.0.bin 58678679 BLAKE2B 910f7e7f630aee966d304d46755eb83e642a859b3feab7d08403f277fbd2d5458ec3e1150da8c5489e83b7a20992ebd7d51611a675baaf0944c3a637a8c2692f SHA512 1f2b5625c826bbf16231e1b3ea8694bcda24cf3a7a90347a29b9d97f654ce35df26aff2b8166e8c517e85785d4ea2b5fbdf1bcb82263fa0e8715846fd1668d15
DIST install-crossover-13.1.2.bin 58730543 BLAKE2B dcd0eec9c0e2a8a4cd96dd8351c43402feac367eca731c5196d11f75ffc88606c199fb856d4df21aebd6d686831070df2cccaf5f3da4699cc8b8da9799218bd0 SHA512 5944db06162a67f68fa4a1ab14f7fbc41f114c63adebecf4c0c50967245f81bb42e58dbe66d33fbfaaeae232aacb2b534fc4367d592eaa6f1cc75e32ec0d23b3
DIST install-crossover-13.1.3.bin 58768110 BLAKE2B 11406c1f1b53c5f97a566693c6bc588e72be71d9e20665723b44f3cc258416b0a27a4e51a9ea648da90e309656d5764f7d7bcca790f31eb52be8d9dbce8e08d3 SHA512 091a70e777f8311f818d227f26850f256d6acc7f50c93855f72857f2e21298524262d490fcc8a97342faea1a261ab042b0064d112aacb6c30e9ab5301f89eabe
DIST install-crossover-13.2.0.bin 64625581 BLAKE2B a8f732a2091576d83ca5cf47b239c8bc3737336bbb4c8fb1f48631db63ba00a4dcb23217b8464d412298d546b4b1e03e676fc1805df042bb9297a923c9d60f34 SHA512 1f582eeca8db02c15d98d519b2d24f65b8dcddd90ff270915a4e6dbd24e135b074c5a20dd824c3d8c8f35cef79610c02423b5558db205a6e80630f69191e051b
DIST install-crossover-14.0.3.bin 68080015 BLAKE2B 8fe46c3e61de02b03598320ba004ed11bde974d06d3cb97e61d63745ade919332acf321ae36e610f5fbfed9e963670a5fbf1912a5383eb08023b04f27a8ad587 SHA512 86855e112f5b5d7621e0d4c644abe570de0270e678dc9666482025c948733de02c66fcf67999079a8ba99537695b36d4fb61aee90a59c319edad5fb477a0f902
DIST install-crossover-14.1.4.bin 68463678 BLAKE2B e5b718fb90a2812dded7aec0768175d1c78ba82ef84c6e5efc08fd79021c5899901bf2043a8d1643440cd52c3b071ef4059a5a106ec15ad98b158c7746381723 SHA512 2078d9e8fc10c526085aef0bfa0cedbcc1a96ec59ade934ea10e7f10062f1a58f5647e9aed59653d4a1253699a08e9ef6f01548010e960af24d0d3546549fb91
DIST install-crossover-15.0.0.bin 80995834 BLAKE2B 63809a9f39e48cd51b9b0b97cdc1cebb8e99d992bdc8a9d3a0d5f48bab3c828d60b8aaf8e8829933a0d5fd1370d318395c01c708c3353597b74ce3ed6442a592 SHA512 597262b760c7cfc3c42cdb0b846802c6c47d4fcd5af06b53d0c63c80e4890e14af8ff0eaaac74a08f4f5d55e166a480d199b185efe685f7c42abca3d62fc2a0d
DIST install-crossover-15.0.1.bin 81027541 BLAKE2B 2cb838aad4363d910897a76cf1d03f031d2a14f494fef3f4db082c303c46f5964fac20096bd1d596285a4bef152af1ba7864b3205a3ee35efc6ff6d5ac7565c7 SHA512 a35188ccebeee8d456e73fdcbb8e8d4f0aff41bb89d92767d2e2e78e7cb25c8e48a150393c1c9abeb9760fbc873314e301c0a364ba27acfe08e0980bb5eedb03
DIST install-crossover-15.1.0.bin 80623685 BLAKE2B 77125ce567c997ee718f546c3b68077a3d59e6a0f5711968bb5cb72cc0b2c7dd22182d7e8c8864c5eef0b6e833159a4534fc81db7234ea8bf757b5a465df1abc SHA512 177e70baff3d99e808834c8e6f626f09d9c262babd6d5a3b51ea79a5a68a157cdfd4fd60ad6939d110f2300670e4973d9fd43a3a132ff9a2367dedb782e5c05c
DIST install-crossover-15.2.0.bin 80734561 BLAKE2B e8b4ee0ab2c5a8463c2757a756a008886071a35114e5ee1b5590907ad42be3c6777bc024cb2c3c41f215e6e29b69d08d46c47dbea0629f542c098b957d124106 SHA512 9633e29b26f8fa99d1c34347b8e1f2e89b84370994a1ab3bba7061b75224f3a907d1c364207312dde1995e5a59180f8699558a96a4c99b157257ab9c21013b2e
DIST install-crossover-15.3.0.bin 80774063 BLAKE2B 2f0aa184f77120c241656d8d9990c5cfe177ab847061e023f0f08b52d804a1f832a18b1f2e82fddf9dde8313e717d3c92104ab46d95dc50c5935c57f878b6716 SHA512 8e5a6f